Author:     Andreas Mair
WWW:        http://andreas.vdr-developer.org
E-Mail:     mail AT andreas DOT vdr-developer DOT org
VDR-Portal: amair
-----------------------------------------------------------

2006-05-12: 3.4.5
- Fixed: crash if /usr/bin/locale is a directory (Reported by pmeyer).
- Changed: reformated vdradmind.pl using perltidy.
- Fixed: Only sort by start time in prog_summary if it's a search result (Reported by Toxic-Tonic).
- Fixed: install russian catalog (Reported by free-x).
- Added: credits for russian translation to about menu.

2006-04-28: 3.4.5rc
- Changed: request full "from" email address for sending emails instead of domain only (Requested by siryoda).
- Changed: no red background for inactive timers in prog_timeline (Requested by Zimbo).
- Changed: result of a search is ordered by the event's start time instead of channel id (Suggested by scorp).
- Fixed: crashes when sending emails (Thanks to Ville Skyttä for hints and siryoda for testing).
- Fixed: error page sets charset correct.
- Added: russian translation (Thanks to Oleg Roitburd and Allrussian-forum translation team)
- Fixed: lots of perl warnings.
- Updated: localization, French is again up-to-date (Thanks to Trois Six).

2006-04-07: 3.4.4
- Fixed: reccmds didn't run if recording contained special characters (Reported by Ronny Kornexl).
- Fixed: remember "unlimited" number of lines to show in vdr_cmds (Reported by Ronny Kornexl).
- Changed: set "help" as default in vdr_cmds SVDRP command (Requested by Ronny Kornexl).

2006-03-30: 3.4.4rc
- Fixed: new TV grabbing introduced with beta2 (Many thanks to horchi for reporting and testing).
- Changed: check if a timer to be programmed by an AutoTimer already exists (Requested by several people).
- Added: display AutoTimer information in timer's edit view (Somehow requested by MarkusE).
- Fixed: recordings/timers/autotimers containing double-quotes couldn't be deleted (Reported by The Unknown).

2006-03-14: 3.4.4beta2
- Reworked TV grabbing.
- Added optional parameters for TV for use with external tools: http://vdradmin-am.ip?aktion=tv_show&size=[full|half|quarter]&interval=[0|1|2|3|5|10|30|60]&tv_only=bla
- Fixed program switching in prog_summary, prog_list and prog_detail (Based on suggestions by kayser).
- New: buttons to move to previous/next day in timers_list (Requested by BigDiSt).
- Moved "help" menu into "about" menu.
- Added VDR's "commands.conf" conntent to select box in navigation menu.
- Changed defaults for "autotimer checking" in timers as they had been in v3.4.3.
- New button on remote controls: Mute (Requested by Rüdiger Jung and Hardy Flor).
- Timeline in timer_list will show timers of current day even if a timer starts the day before (Reported by Hardy Flor).

2006-03-08: 3.4.4beta
- Added script "convert.sh" to convert the AutoTimer information in VDR's timers.conf to the new format (see "convert.sh" for usage).
- Use the summary/aux timer field to store AutoTimer information to be compatible to VDR v1.3.44 and later.
- Removed "Add summary to new timers" option. The EPG summary is no longer copied to the timer's summary/aux field (for VDR 1.3.44+) or always copied (VDR 1.3.43-).
- Made summary textfield readonly while adding/editing a timer.
- Unless NO_EVENTID or NO_EVENTID_ON is used the EPG-ID is stored in every (auto)timer set using VDRAdmin-AM.
- For every timer the current start/stop margins are saved in its summary/aux field. These are used for checking AutoTimers by time.
- Fixed bug while checking for already programmed (auto)timers if not using EPG-ID.

2006-03-01: 3.4.3
- Don't show streaming button in prog_summary if event is currently not broadcasted (Requested by Hardy Flor).
- Show search pattern in prog_summary instead of current time (Reported by Hardy Flor).
- Send correct encoded emails for AutoTimer notifications (Thanks a lot to Ferdinand Grassmann for reporting/ideas/testing).
- Do not program timers in the past (Reported by Ferdinand Grassmann).
- Send default image if TV grabbing fails.
- Fixed "Length of base64 data not a multiple of 4" warning (Reported by Johan Larsson).

2006-02-10: 3.4.3rc3
- Changed handling of refering pages; should work much better now.

2006-02-06: 3.4.3rc2
- For timers that are checked by AutoTimer for start/stop times the broadcast's length must at least match 90% of the original timer's length (excluding before/behind buffers).
- Reworked detection of already programmed AutoTimers and made it compatible to VDR v1.3.23+ (Based on suggestions by Jouni Karvo).
- Don't crash if illegal characters are used for searching (Reported by foobar42).
- Fixed error after progamming a timer if VDRAdmin is accessed through apache (Reported by speed).
- If there were quotes in an AutoTimer's pattern and you clicked "test" the pattern got cleared (Reported by The_Pit).

2006-01-17: 3.4.3rc
- Changed program name to VDRAdmin-AM to make clear it's a fork of VDRAdmin.
- Added "Help" and "About" to navigation bar at the left.
- Hide "Record" button if prog_detail is opened from timer_list.
- After clicking "Record" in prog_detail and leaving timer_new return to page where prog_detail has been opened (Reported by Ferdinand Grassmann).
- Timers were re-programmed every CheckTimers() call if setup option "do not add summary to timers" is active (Reported by Ferdinand Grassmann).
- Dropped sendEmail dependency. Now uses Net::SMTP modules (Patch by Ville Skyttä).
- Don't show EPG images for other events (Fixed by Ferdinand Grassmann).
- Changed GRAB so that it doesn't use temporary files for VDR >=1.3.38.
- VPS for timers (Requested by reibuehl).
- Made extension and mimetype for both live and recordings streaming configurable (Suggested at vdrportal.de).
- Understand format of VDR v1.3.38+ "lste" command (Thanks to Marcus Breitenstein).
- In skin "default": returning from timer_new didn't scroll to the line where "Rec" has been called in prog_list/prog_list2 (Reported by Foobar42)
- Fixed installing of missing Perl modules.

2005-12-06: 0.97-am3.4.2
- Updated de, es and fi translation (got no response by fr translator).
- Use the channel name as title if title in timer_new is empty (Requested by Hardy Flor).
- Improved handling of dates reported by "lstr".
- SMTPAuth for sendEmail.
- Fixed: Programming a timer using InternetExplorer, didn't return to the previous page but gave an error (Reported by several people).
- Remember sorting after (in)activating selected timers (Reported by Atti).
- Updated Template-Toolkit to v2.13.
- Reworked sorting in rec_list/timer_list/at_timer_list.
- Activate/Inactivate selected timers in timers_list (Requested by Atti).
- Event's title in prog_summary/prog_list/prog_list2 links to prog_detail (Requested by Scorp).
- Added "Refresh" button in rec_list to refresh the cache of the list of recordings.
- Fixed popup if deleting timers/recordings/autotimers containing a "'" (Reported by Saxman2k).
- Remember sorting after deleteing or editing timer or autotimer (Reported by Atti).
- Improved re-connect to VDR if VDRAdmin crashes.
- Set "LANGUAGE" environment variable to "" on startup, so it causes no problems with language setting in VDRAdmin.
- Added caching of listing of recordings. Can be adjusted by "CACHE_REC_TIMEOUT=number of minutes" in vdradmind.conf. Defaults to "60", "0" disables caching.
- Remember sorting when toggling in timer or autotimer list.
- New configuration option for Timers: don't add summary.
- Email notification for AutoTimer can be set in configuration menu.
- Optimized AutoTimer matching a little bit.
- Reworked detection of another VDRAdmin process if pid file exists.
- No more config settings that require a VDRAdmin restart.
- Find "sendEmail" program in $PATH.
- For VDR >=1.3.24 use VDR's timer flags for finding timers that are currently recording.
- Fixed sendmail notification for AutoTimer.
- If /usr/bin/locale is not available, language can be entered in textfield instead of chosing in selectbox.
- Fixed wrong display of double quotes in timer_list and at_timer_list.
- Fixed browsing in "recordings" menu (if there are folders having the same name).
- Added new skin "default" (InternetExplorer has problems with displaying it).
- Removed i18n.pl.
- Localization can be set in configuration again.
- Added "Transponder" and "CA-System" to tooltips in timer_list.
- Show recording's summary and subtitle in rec_edit (Requested by BigDiSt).
- Check for and shorten too long summary when programming timer.
- Check for too long commands sent to SVDRPort.
- Channel select box in TV.
- "Test" button in AutoTimer edit for showing results of current settings (Requested by Hardy Flor).
- Link from channel name in prog_list2 and timer_list to prog_list.
- Bring popups to the front (e.g. help, prog_detail...) (Based on a patch submitted by Ville Skyttä).
- Reuse existing TV, RC and help windows (Based on a patch submitted by Ville Skyttä).
- Send vdradmin.m3u when streaming.
- Tooltips in timer_list, prog_timeline and at_timer_list can be deactivated (Requested by Hardy Flor).
- Fixed wrong HTML tags in rec_detail (Reported by foobar42).

2005-10-04: 0.97-am3.4.1
- Fixed some bugs:
  -> Selected channel is remembered when editing AutoTimers (Reported by Scorp).
  -> Recording streaming didn't work in some cases (Reported by several people @vdr-portal.de).
  -> Recording commands didn't work in some cases (Reported by several people @vdr-portal.de).
  -> Watch TV and remote control didn't work (Reported by several people @vdr-portal.de).
	-> INFO button in prog_list2 didn't work.
	-> Getting back from timer_new to prog_summary/prog_list/prog_list2 again scrolls to line with previously selected item (Reported by Scorp).
- Updated translations
- Fixed some more HTMLtidy warnings.

2005-09-23: 0.97-am3.4
- Send valid "Expires" header (Submitted by Ville Skyttä).
- Open failure of vdradmind.done reported wrong filename (Submitted by Ville Skyttä).
- Deliver validated HTML (Reported by Ville Skyttä).
- Display name of recordings/timers... that will be deleted (Requested by Richard Lithvall).
- Channels list in AutoTimer only shows selected channels if selective channels are active for AT.
- Added "chmod" for grabbed images of TV so that everyone can read/write the file (Submitted by Udo Richter).
- Added "-d" argument to set the configuration folder (Submitted by Rene Bredlau).
- Fixed handling for recording on February, 29th for VDR >=1.3.26 (Submitted by Rene Bredlau).
- Alternativly use Locale::Messages if Locale::gettext not found (Submitted by Ville Skyttä).
- Fixed "send command" error message (Submitted by Ville Skyttä).
- Display free disk size as float instead of integer (Submitted by Hardy Flor).
- Step forward/backward a day in "Playing today" (Requested by Tüddelkopp)
- Enable/disable selective channels in "Playing today" (Requested by Reiner Buehl)
- Added images in prog_detail; needs external tool that provides these images; must be configured first! (Requested by several people)
- Fixed display of login page (Reported by DrSat)

2005-07-12: 0.97-am3.3
- Fixed problems with "$" in templates (Reported by All-Ex).
- Updated all help messages.
- Added beautified tooltips in at_timer_list, timer_list and prog_timeline.
- Changed saving of AutoTimer patterns: ":" -> "|" and "|" -> "\|".
- Added support for user.css for overwriting style.css (Must be located in same folder as vdradmind.conf). See user.css.example.
- Removed obsolete files (e.g. images).
- Merged style.css and navi.css.
- Reworked templates so that they use a lot of CSS (Tested using Konqueror 3.3.2 and Firefox 1.0.4).
- Fixed programming timers with special summary when using EPG_DIRECT (timer didn't get programmed) (Thanks to HolgerAusB for giving vital hints).
- Allow browsers to cache all files VDRAdmin sends, except "text/html". This should speed up VDRAdmin but changing the skin or css needs a "shift reload".
- Added support for VDR v1.3.25's info.vdr (Submitted by vejoun).
- Use localized date formates.
- Now using "video/x-mpegurl" MIME type instead of "audio/x-mpegurl" for streaming (Suggested by stefan.h).
- Added patches supplied by stefan.h:
  -> using EPG's subtitle when found for AutoTimer else " " (that's the VDR way).
  -> New config option VDRVFAT to find recordings if VDR has been compiled with or without VFAT define.
- Fixed calling reccmds on recordings in subdirs, manual recordings (@rectitle) and repeating timer's recordings without episode title.
- Fixed streaming of manual recordings (@rectitle) and repeating timer's recordings without episode title.
- VDRAdmin-AM now uses the required charsets setting in templates, so no need to write "&xyz;" things in .po files.
- Reworked templates to make better use of CSS (for example: timeline colours can be set by style.css).
- EPG_PRUNE now is the number of channels to fetch from VDR (had been one too less before).
- Added "install.sh" and "uninstall.sh" ("./install.sh -h" for help) (Requested by several people).
- Made "name" columns in lists wrapping again (Reported by vejoun).
- Deleting a single recording works again (Reported by vejoun).
- Fixed streaming of recordings in subdirs (Reported by vejoun).
- Added missing gray sign on deactivated AutoTimers (Reported by vejoun).
- Various other minor fixes.

2005-05-12: 0.97-am3.2
- Added "make uninstall" to remove VDRAdmin from your system if you have installed it using "make install". Please always use this before you install a new release!
- Fixed programming of repeating timers when day is "D" (Thanks to "maxkr" for reporting this).
- Print date in prog_list & prog_list2 in system's locale. Please comment!
- More transparent "selected channels" usage.
- Added reccmds.conf content to rec_list (needs valid VDRCONFDIR in vdradmind.conf)
- AutoTimers can now be limited to certain weekdays (Patch submitted by Magnus Schmidt).
- Streaming can be turn on/off for live viewing and recordings viewing (Based on code submitted by Tobias Grimm).
- Added streaming button to prog_list2.
- Fixed handling of incorrect start/stop times in AutoTimer.
- Changed localisation to use gettext() (Thanks to Tobias Grimm for doing most of the needed work).
- Language can no longer be set in VDRAdmin, it's taken from your system's setting. Issue "export LANG=<language code>" if you need to change it, where <language code> is one of "de_DE", "en_EN", "es_ES", "fi_FI" or "fr_FR".
- Added Finnish i18n (Submitted by Rolf Ahrenberg).
- Fixed ":" & "|" handling in timer's directory (Thanks "vejoun").
- Added links to prog_list on channels in at_timer_list and timer_list.
- Added IMDb lookup button to recording's detail view.
- Added "Priority" and "Lifetime" tooltip to at_timer_list and timer_list (point mouse to timer's name).
- Small changes for streaming recordings: Please update your vdradmind.conf (VIDEODIR & ST_VIDEODIR)!
- Non-LinVDR logo on non-LinVDR machines (Posted by Unimatrix0 at vdrportal.de).

2005-04-12: 0.97-am3.1
- Updated Spanish i18n (Thanks to Ruediger Jung).
- Added VDR Admin man-page (Thanks to Thomas Schmidt).
- Improved detection of another running vdradmind.pl at startup (if vdradmind.pid is found but pid is not a vdradmind.pl vdradmin will start anyway).
- Added IMDb lookup button in prog_detail (Suggested by Marcus).
- Use configured Streamdev port for live streaming.
- Added warning when using EPG_DIRECT.
- Updated INSTALL file.
- Renamed i18n Español to Spanish (Requested by Ruediger Jung).
- Fixed ":" & "|" handling in timer's title and summary (Thanks to Der_Pit for pointing me to that).
- Added "Select all" to timer/autotimer/recordings list.
- Exchanged priority and lifetime textfields in config.html to match order used at other places (Requested by Ruediger Jung).
- Added vdradmin-0.95-0.9pre5-email.diff (Author: blafasel) patch: send email on timers added by AutoTimer (needs sendEmail available here: http://caspian.dotconf.net/menu/Software/SendEmail/).
- Fixed timer add/edit where date got set wrong in case it has been entered as "yyyy-mm-dd".
- Fixed problems when using MOD_GZIP (Thanks Ville Skyttä).
- Fixed Makefile once again (Thanks Zzam for pointing me to this).
- Added patches submitted by stefan.h (Thanks!):
  -> New config option EPG_PRUNE. You can set a channel number up to which VDRAdmin will read EPG. Might reduce memory usage and read-in time. Set to "0" to read all channels.
	-> Optimizations and bug fixes.
- Added install files for Debian (Thanks to Steffen Oberle for requesting and troubleshooting).

2005-04-04: 0.97-am3.0
- Reworked updating of channels and EPG from VDR.
- Fixed displaying of repeating timers.
- Fixed Makefile to set "$SEARCH_FILES_IN_SYSTEM = 1" on install.
- Added Spanish i18n (Submitted by Rüdiger Jung)
- Updated French i18n (Submitted by "Trois Six",  "map" and "lobotomise")
- Fixed some buttons to work with long translations.
- Extracted text from templates and moved them to i18n.pl file and moved the i18n.pl files to new folders i18n/$language, resulting in a single template with two skins (bilder & copper). Makes translations and template modification a lot more easier.

Included patches submitted by Ville Skyttä:
- vdradmin-01-req-zlib.patch: Make Compress::Zlib really optional.
- vdradmin-02-defaultconfig.patch: Use preset values from %CONFIG as defaults in --config.
- vdradmin-03-errstr.patch: Fix error string output.
- vdradmin-04-spelling.patch: Various trivial spelling and phrasing improvements.
- vdradmin-05-askconf.patch: Allow unattended "vdradmind.pl --config < /dev/null".
- vdradmin-08-writeconfig.patch: Always write config using WriteConfig().
- vdradmin-10-exitcodes.patch: Don't exit with status code 0 if something's wrong.

2005-03-30: 0.97-am2c
- Fixed handling of new recordings if VDR is patched with Wareagle-Icons patch (Reported at vdrportal.de).
- Fixed handling of MTWTFSS@date in timer (edit & list).
- Some smaller template fixes.
- Fixed forgotten items with "vdradmin-0.96_For_vdr-1.3_StoreAutotimerChannelID_And_EventIdCheckDisable.diff".
- Try harder to avoid browser's caching.
- Fixed directory handling in auto_timer:
  -> if a "%" (variable) is found you are fully responsible for the final recording's title, e.g. you must add %Title% if you want it (other vars: %Title%, %Subtitle%, %Director%, %Date%, %Category%, %Genre%, %Year%, %Country%, %Originaltitle%, %FSK%, %Episode% and %Rating%)
  -> all "/" will be replaced by "~" (before variable substitution)
- Automatic programmed timers have their summary hyperlink back. (Reported by sn123py)
- Handle "VPS" in timer listing.
- Fixed French translation.

2005-03-23: 0.97-am2b
- Added French template (Submitted by Trois Six)
- Fixed English/i18n.pl
- Removed all "bilder" and "copper" folders in all templates except "Deutsch" and replaced them by links to the folders in "Deutsch".

2005-03-22: 0.97-am2a
- Fixed Volume+ and Volume- in TV (Reported by Unimatrix0)
- Fixed missplaced channel name prog_summary (Reported by several people)
- Added updated English templates (Supplied by C.Y.M)
- Now VDRAdmin understands timers format from vdr1.3.22- and vdr1.3.23 (Supplied by Stefan Neuwirth)
- Fixed small display problem in timeline.

2005-03-20: 0.97-am2
- TV and remote templates have same remote control.
- Reworked summary display of recordings
- Summary editbox preserves linefeeds while editing timers
- Added stream button in prog_summmary (suggested by Unimatrix0)

Added patches:
- vdradmin-0.96_For_vdr-1.3_StoreAutotimerChannelID_And_EventIdCheckDisable.diff (posted at the VDR mailinglist by Rantanen Teemu)
- vdradmin-0.96_OneShot_Timers_English_Only.diff and merged it to "Deutsch" template (posted at the VDR mailinglist by Rantanen Teemu)
- Included changes from vdradmin-0.96-3-ctvdr-1 (see HISTORY.ct).
- Fix for timers.conf of vdr1.3.23+ (Submitted by Stefan Neuwirth)
- Localnet Patch; no password request if client ip in given ip range) (Author: Roland Behme / Submitted by Reiner Buehl)

Templates cleanup:
- at_new.html
- at_timer_list.html
- config.html
- error.html
- index.html
- left.html
- noauth.html
- noperm.html
- prog_details.html (TODO)
- prog_list2.html
- prog_list.html
- prog_summary.html (TODO)
- prog_timeline.html
- rc.html
- rec_edit.html
- rec_list.html
- timer_list.html
- timer_new.html
- toolbar.html
- tv_flash.html
- tv.html

Changes that have been forgotten while merging previous patches:
- Fixed: timer listing now shows "VPS" instead of "Auto (alt)".
- Removed unneeded <br>. They are still used for display only.

2005-03-06: 0.97-am1 "initial release"
This is mainly the lastest vdradmin (v0.97) with different patches applied:
- vdradmin-0.97 has been taken from linvdr-0.7.
- xpix's BigPatch_0.9pre5 (ported from vdradmin-0.95 to vdradmin-0.97 (see HISTORY.bigpatch).
- Included changes from vdradmin-0.95-ct-10 (see HISTORY.ct).
- Included vdradmin-0.95_0.9_pre5_fb1.diff (see HISTORY.macfly).
- Included vdradmin-0.96-rename.diff which also needs an applied "vdr-aio21_svdrprename.patch" or enAIO-v2.2 patch (Author: slime).

My own changes:
- Included missing "Was läuft heute?" template (found at www.vdr-portal.de).
- Fixed some rendering problems with "New Timer" and "New Autotimer" on KDE's Konqueror.
- Beautified recordings listing (at least in my eyes ;-)
- Added "Size" selectbox to TV template.
